## tanzu secret registry add

Creates a v1/Secret resource of type kubernetes.io/dockerconfigjson. In case of specifying the --export-to-all-namespaces flag, a SecretExport resource will also get created

```
tanzu secret registry add SECRET_NAME --server REGISTRY_SERVER --username USERNAME --password PASSWORD [flags]
```

### Examples

```

    # Add a registry secret
    tanzu secret registry add test-secret --server projects-stg.registry.vmware.com --username test-user --password-file test-file

    # Add a registry secret with 'export-to-all-namespaces' flag being set
    tanzu secret registry add test-secret --server projects-stg.registry.vmware.com --username test-user --password test-pass --export-to-all-namespaces
```

### Options

```
      --export-to-all-namespaces   Make the registry secret available across all namespaces (i.e. create SecretExport with toNamespace=*), optional
  -h, --help                       help for add
      --password string            Password for authenticating to the private registry
      --password-env-var string    Environment variable containing the password for authenticating to the private registry
      --password-file string       File containing the password for authenticating to the private registry
      --password-stdin             When provided, password for authenticating to the private registry would be taken from the standard input
      --server string              Private registry server FQDN
      --username string            Username for authenticating to the private registry
  -y, --yes                        In case the --export-to-all-namespaces flag was set, export the secret to all namespaces without asking for confirmation, optional
```

### Options inherited from parent commands

```
      --kubeconfig string   The path to the kubeconfig file, optional
  -n, --namespace string    Target namespace for the registry secret, optional (default "default")
      --verbose int32       Number for the log level verbosity(0-9)
```

### SEE ALSO

* [tanzu secret registry](tanzu_secret_registry.md)	 - Registry secret operations

###### Auto generated by spf13/cobra on 5-Nov-2021
